This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 846411 - vncviewer doesn't show gdm password
vncviewer doesn't show gdm password
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 13:10 EDT by Henrique Martins
Modified: 2015-02-17 09:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:23:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Henrique Martins 2012-08-07 13:10:24 EDT
Description of problem:
On the gdm login screen, after selecting a user name, gdm presents a password field to enter the password.  When one connects to that gdm login with vncviewer (tigervnc) that login entry field is never displayed.  Curiously, one can type the password and login, but the field, the asterisks for each character typed, etc, are never shown.

Version-Release number of selected component (if applicable):
tigervnc-server-module-1.1.0-5
tigervnc-1.1.0-5

How reproducible:
All the time

Steps to Reproduce:
1. Connect to a system that is sitting on the gdm screen via vncviewer, via tigervnc's server module.
2. select a user (I only have one, so I click on it, or press return)
  
Actual results:
Display changes slightly but the gdm's password entry field is not displayed

Expected results:
I'd expect to see that field

Additional info:
Comment 1 Henrique Martins 2012-10-10 18:01:06 EDT
This has gotten worse.  

When I now run vncviewer and point to a machine that is sitting at the gdm login screen, hitting space or trying to click on the user name, renders the whole thing inoperative and I can't logon at all.  Before I used to be able to type the password and it was taken, now no dice.

Note that this doesn't happen with all my machines, it may be graphics-card dependent.  Also it may only fail when the machine is accessed over a VPN connection.  Either way, the gdm animation where the user name slides down and the password enter field shows up, gets stuck and that's it.

Replacing gdm with xdm makes it work!  Haven't tried kdm (not sure I have it on that machine.)
Comment 2 Henrique Martins 2012-10-12 08:56:47 EDT
Ooops, ignore comment 1. Still works (badly) as described in original report.  

I messed up my ssh configuration (I use pam_ssh to login) and as the screen doesn't update I never saw the message that tells that authentication fails, with gdm.  With xdm I did see it, but I thought I hadn't configured pam for xdm to use pam_ssh, and thus used my login password instead of my ssh passphrase.

Thus we're back to vnc not showing me the gdm animation on two of my machines, it does on another.
Comment 3 Henrique Martins 2013-04-28 11:22:21 EDT
This has gotten worse and worse.

With F18 the remote screen never seems to refresh.  Thus, if the greeter has been on for a while and the silly clock overlay one has to drag upwards to see the login prompt is there, I have to drag, type name <cr> password <rc> ALL without seeing anything on the screen
  
Alternatively I can drag, kill the viewer, connect again and the login prompt is there,  Type password <cr>  kill the viewer again, connect again and the password prompt is there, etc.  Most of what I type is not echoed back either. Flying blind.

Switch to KDM, and everything works, so this is an interaction of the vnc module and whatever GDM is doing.  As in the end I use fvwm and not gnome or kde,maybe I'll just go back to XDM (last time I tried I had trouble propagating the pam_ssh password I use to log on to my environment, but that's probably easier to solve.)
Comment 5 Fedora Admin XMLRPC Client 2013-05-13 10:55:03 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2013-07-04 00:08:01 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Henrique Martins 2013-07-24 19:18:57 EDT
Changing version to F19.

(tiger)vncviewer and gnome-shell don't work too well.  I setup a new laptop a couple of months back with F18, never really used it/customized it, and updated to F19 with FedUp last week.  

With GDM as the DM and the default Gnome 3.0 session, working remotely on that laptop via vnc module is next to impossible, as the screen never refreshes properly and I don't know what I'm clicking on.

Switching to XDM/fvwm and things work fine.
Comment 8 Fedora End Of Life 2015-01-09 12:18:18 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-17 09:23:37 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.